/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package com.sun.v3.sampleapplications;

import javax.ejb.Stateless;
import java.sql.Connection;
import javax.naming.InitialContext;
import javax.sql.DataSource;
import java.sql.Statement;

/**
 *
 * @author marina vatkina
 */

@Stateless
public class MyBean implements BeanLocal {

    /** 
    * Simple test
    */
    public String getString() {
        return "Hello MyBean";
    }

    public String testInsert(int i) {
        return execute("insert into test values (" + i + ", 'FOO')", 0);
    }

   private String execute(String st, long l) {

     DataSource db1 = null;
     Connection c1 = null;
     Statement stmt1 = null;

     try {
        InitialContext ic = new InitialContext();
        db1 = (DataSource)ic.lookup("jdbc/MyDB");
        c1 = db1.getConnection();

        stmt1 = c1.createStatement();

        stmt1.execute(st);
        long t = System.currentTimeMillis();
        System.err.println("--------GOING TO SLEEP---------------");
        try {
                Thread.sleep(l);
        } catch (Exception e) {
                e.printStackTrace();
        }
        System.err.println("--------WOKE UP AFTER: ---------------" + (System.currentTimeMillis() - t));

        
     } catch (Exception e){
        e.printStackTrace();
        return "NOT OK" + e.getMessage();
     }finally{

        if(stmt1 != null){
            try{
                stmt1.close();
            }catch(Exception e){}
        }


        if(c1 != null){
            try{
                c1.close();
            }catch(Exception e){}
        }

     }
     return "OK";
    }

    public String testUpdate(int i) {
        return execute("update test set name='BAR' where id = " + i, 20000);
    }

}
