/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package com.sun.v3.sampleapplications;

import java.io.*;
import java.net.*;

import javax.naming.InitialContext;
import javax.servlet.*;
import javax.ejb.*;
import javax.servlet.http.*;

import java.sql.Connection;
import javax.naming.InitialContext;
import javax.sql.DataSource;

/**
 *
 * @author mvatkina
 */

public class MyServlet extends HttpServlet {

    @EJB
    BeanLocal bean;

    /** 
    * Processes requests for both HTTP <code>GET</code> and <code>POST</code> methods.
    * @param request servlet request
    * @param response servlet response
    */
    protected void processRequest(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        response.setContentType("text/html;charset=UTF-8");
        PrintWriter out = response.getWriter();

        try {
            out.println("<html>");
            out.println("<head>");
            out.println("<title>Servlet MyServlet</title>");  
            out.println("</head>");
            out.println("<body>");
            out.println("<h3>Testing MyServlet calling MyBean using MyBean</h3>");
            out.println("<br>");

            // Simple test first
            String result = bean.getString();
            out.println("<h3>Simple test result: " + result + "</h3>");
            out.println("<br>");

            out.println("Inserting a test row ... " + bean.testInsert(10));
            out.println("<br>");

            out.println("Updating a row ... " + bean.testUpdate(10));
            out.println("<br>");

        }catch(Throwable e){
            out.println("got outer excpetion");
            out.println(e);
            e.printStackTrace();
        }
        finally {
            out.println("IN finally");

            out.println("</body>");
            out.println("</html>");
            
            out.close();
            out.flush();

        }
    }


    // <editor-fold defaultstate="collapsed" desc="HttpServlet methods. Click on the + sign on the left to edit the code.">
    /** 
    * Handles the HTTP <code>GET</code> method.
    * @param request servlet request
    * @param response servlet response
    */
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        processRequest(request, response);
    } 

    /** 
    * Handles the HTTP <code>POST</code> method.
    * @param request servlet request
    * @param response servlet response
    */
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        processRequest(request, response);
    }

    /** 
    * Returns a short description of the servlet.
    */
    public String getServletInfo() {
        return "Short description";
    }
    // </editor-fold>
}
