/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package com.sun.v3.sampleapplications;

import java.io.*;
import java.net.*;

import javax.naming.InitialContext;
import javax.servlet.*;
import javax.ejb.*;
import javax.servlet.http.*;

import java.sql.Connection;
import javax.naming.InitialContext;
import javax.sql.DataSource;

/**
 *
 * @author mvatkina
 */

public class MyServlet01 extends HttpServlet {

    BeanLocal bean1 = new MyBean();

    /** 
    * Processes requests for both HTTP <code>GET</code> and <code>POST</code> methods.
    * @param request servlet request
    * @param response servlet response
    */
    protected void processRequest(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        response.setContentType("text/html;charset=UTF-8");
        PrintWriter out = response.getWriter();

        javax.transaction.UserTransaction utx = null;
        try {
            out.println("<html>");
            out.println("<head>");
            out.println("<title>Servlet MyServlet</title>");  
            out.println("</head>");
            out.println("<body>");
            out.println("<h3>Testing MyServlet using a helper class</h3>");
            out.println("<br>");

            // Simple test first
            String result = bean1.getString();
            out.println("<h3>Simple test result: " + result + "</h3>");
            out.println("<br>");

            InitialContext ic = new InitialContext();
            utx = (javax.transaction.UserTransaction) ic.lookup("java:comp/UserTransaction");
            utx.begin();

            out.println("Inserting a test row ... " + bean1.testInsert(20));
            utx.commit();
            out.println("<br>");

            utx.begin();
            out.println("Updating a row ... " + bean1.testUpdate(20));
            out.println("<br>");
            utx.commit();
            utx = null;

        }catch(Throwable e){
            out.println("got outer excpetion");
            out.println(e);
            e.printStackTrace();
        }
        finally {
            out.println("IN finally");

            if (utx != null) {
                try {
                    utx.rollback();
                } catch(Throwable e){ 
                    e.printStackTrace(); 
                }
            }
            out.println("</body>");
            out.println("</html>");
            
            out.close();
            out.flush();

        }
    }


    // <editor-fold defaultstate="collapsed" desc="HttpServlet methods. Click on the + sign on the left to edit the code.">
    /** 
    * Handles the HTTP <code>GET</code> method.
    * @param request servlet request
    * @param response servlet response
    */
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        processRequest(request, response);
    } 

    /** 
    * Handles the HTTP <code>POST</code> method.
    * @param request servlet request
    * @param response servlet response
    */
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        processRequest(request, response);
    }

    /** 
    * Returns a short description of the servlet.
    */
    public String getServletInfo() {
        return "Short description";
    }
    // </editor-fold>
}
